Obtener flujo por ID
curl --request GET \
--url https://api.gotrebol.com/account-flows/{id_slug} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.gotrebol.com/account-flows/{id_slug}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.gotrebol.com/account-flows/{id_slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"account_id": "<string>",
"friendly_name": "<string>",
"id_slug": "id-test-flow",
"flow_items": {
"id": "<string>",
"items": [
{
"type": "generic",
"options": {
"is_optional": true,
"ubos_threshold": 25,
"ubos_form_schema": "mx_form",
"ubos_schema_id": "ubos-custom-001",
"schema_id": "some-test-form-schema"
}
}
],
"options": {
"creator_email": "jsmith@example.com",
"next_steps_checkout": [
{
"title": "Documentos adicionales",
"description": "Es posible que se necesiten documentos adicionales para completar tu onboarding. En ese caso nos pondremos en contacto contigo."
},
{
"title": "Firma del contrato",
"description": "Cuando se complete toda la información, un representante de ventas se pondrá en contacto contigo para firmar el contrato."
}
]
}
},
"record_validation_schema": {
"version": 2,
"requirements": {
"doc_1": {
"ui_options": {
"label": "Constancia de Situación Fiscal",
"description": "Documento que certifica que la empresa está al día con sus obligaciones fiscales.",
"conditional_render": true,
"conditional_render_label": "¿Los poderes del representante legal figuran en un acta de asamblea o poder notarial?"
},
"allowed_item_types": [
"csf_mx"
],
"validation_options": {
"on_invalid_type_error": "invalidate"
}
}
},
"optional_requirements": {}
}
}{
"success": false,
"message": "Unauthorized",
"code": "UNAUTHORIZED",
"timestamp": "2025-01-01T12:34:56.000Z"
}{
"success": false,
"message": "Entity not found",
"code": "NOT_FOUND",
"timestamp": "2025-01-01T12:34:56.000Z"
}{
"success": false,
"message": "Internal server error",
"code": "INTERNAL_SERVER_ERROR",
"timestamp": "2025-01-01T12:34:56.000Z"
}Gestión de Flujos de Cuenta
Obtener flujo por ID
Recupera un flujo de cuenta específico por su id_slug.
GET
/
account-flows
/
{id_slug}
Obtener flujo por ID
Authorizations
Path Parameters
Response
Flujo recuperado exitosamente
Identificador único del flujo
Example:
"id-test-flow"
Show child attributes
Show child attributes
Schema de validación para el expediente de la verificacion. Las reglas que se definan aqui sera la que determine la finalizacion de la verificacion.
Show child attributes
Show child attributes
País al que pertenece el flujo
Available options:
mx, co Was this page helpful?
⌘I